import Instrument from '../components/Instrument'
import InstrumentList from '../components/InstrumentList'

const instrument = {
  name: 'Keithley 2230-3',
  description: 'A very nice 3 channel power supply.',
  subsystems: [{
    name: 'Source',
    description: 'The commands in the SOURce subsystem are used to control the output of the power supply.',
    commands: [{
      id: '1',
      tag: 'Apply',
      name: 'Apply voltage and current',
      description: 'This command sets voltage and current levels on a specified channel with a single command message.',
      instrument: null,
      readString: null,
      writeString: '[SOURce:]APPLy {CH1|CH2|CH3}, <NRf+>, <NRf+>',
      parameters: ['channel']
    },
    {
      id: '1',
      tag: 'Output',
      name: 'Channel output state',
      description: 'This command sets the output state of the presently selected channel. The query form of this command returns the output state of the presently selected channel.',
      instrument: null,
      readString: '[SOURce:]CHANnel:OUTPut[:STATe]?',
      writeString: '[SOURce:]CHANnel:OUTPut[:STATe] <BOOL>',
      parameters: [{
        name: 'channel',
        values: ['CH1', 'CH2', 'CH3']
      }]
    }],
    parameters: [{
      name: 'channel',
      values: ['CH1', 'CH2', 'CH3']
    }],
    subsystems: []
  }]
}

const InstrumentsPage = props => (
  props.query && props.query.id
    ? <Instrument instrument={instrument} />
    : <InstrumentList />
)

InstrumentsPage.getInitialProps = ({ query }) => {
  return { query }
}

export default InstrumentsPage
